Page MenuHomePhabricator

Extension UIFeedback failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

There were 2 failures:

1) ApiDocumentationTest::testDocumentationExists with data set "Module uifeedback with MiserMode=false, AllowCategorizedRecentChanges=false" ('uifeedback', array(false, false))
Module description message apihelp-uifeedback-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

2) ApiDocumentationTest::testDocumentationExists with data set "Module uifeedback with MiserMode=true, AllowCategorizedRecentChanges=true" ('uifeedback', array(true, true))
Module description message apihelp-uifeedback-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

FAILURES!

Details

Related Gerrit Patches:
mediawiki/extensions/UIFeedback : masterRename extension entry point so tests pass
mediawiki/extensions/UIFeedback : masterFix extension UIFeedback failing tests

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 10 2017, 8:55 PM

Change 332036 had a related patch set uploaded (by DatGuy):
Fix extension UIFeedback failing tests

https://gerrit.wikimedia.org/r/332036

DatGuy claimed this task.Jan 14 2017, 1:08 PM

Change 332036 merged by jenkins-bot:
Fix extension UIFeedback failing tests

https://gerrit.wikimedia.org/r/332036

Change 332126 had a related patch set uploaded (by TTO):
Rename extension entry point so tests pass

https://gerrit.wikimedia.org/r/332126

DatGuy closed this task as Resolved.Jan 15 2017, 11:37 AM

Thanks to TTO, it works now.

Change 332126 merged by jenkins-bot:
Rename extension entry point so tests pass

https://gerrit.wikimedia.org/r/332126